#!/bin/bash
set -exo pipefail

cd "$(dirname ${BASH_SOURCE})"

docker run --rm -it \
        -w /home/yann/dev/AtsImsIot \
        -e GEN_DIR=/home/yann/dev/AtsImsIot \
        -p 0.0.0.0:443:443 \
        -p 0.0.0.0:5060:5060/udp \
        -p 0.0.0.0:5061:5061/udp \
        -u "$(id -u):$(id -g)" \
        -v "${PWD}/../..:/home/yann/dev/AtsImsIot" \
        --entrypoint /home/yann/dev/AtsImsIot/virtualization/docker/docker-entrypoint.sh \
        alpine-AtsImsIot:latest "$@"
